org.fourthline.cling.model.message

## Enum UpnpRequest.Method

- java.lang.Object
- - java.lang.Enum<UpnpRequest.Method>
  - - org.fourthline.cling.model.message.UpnpRequest.Method

- All Implemented Interfaces:
    Serializable, Comparable<UpnpRequest.Method>
  Enclosing class:
    UpnpRequest

      public static enum UpnpRequest.Method
      extends Enum<UpnpRequest.Method>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GET`
    `MSEARCH`
    `NOTIFY`
    `POST`
    `SUBSCRIBE`
    `UNKNOWN`
    `UNSUBSCRIBE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UpnpRequest.Method` | `getByHttpName(String httpName)`
    `String` | `getHttpName()`
    `static UpnpRequest.Method` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UpnpRequest.Method[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GET

          public static final UpnpRequest.Method GET

    - #### POST

          public static final UpnpRequest.Method POST

    - #### NOTIFY

          public static final UpnpRequest.Method NOTIFY

    - #### MSEARCH

          public static final UpnpRequest.Method MSEARCH

    - #### SUBSCRIBE

          public static final UpnpRequest.Method SUBSCRIBE

    - #### UNSUBSCRIBE

          public static final UpnpRequest.Method UNSUBSCRIBE

    - #### UNKNOWN

          public static final UpnpRequest.Method UNKNOWN

  - ### Method Detail

    - #### values

          public static UpnpRequest.Method[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UpnpRequest.Method c : UpnpRequest.Method.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UpnpRequest.Method valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getHttpName

          public String getHttpName()

    - #### getByHttpName

          public static UpnpRequest.Method getByHttpName(String httpName)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.